%% select .isdx, tell what bird each came from, will run through cnmfe
%% note: birds must have preset crops before this will run uninterrupted

f = 'fullFilePathOfTif';

stem = 'folderForCalciumData';
brd = 'birdID';
dateID = date;

%
if ~isfolder([stem '\' brd])
mkdir([stem '\' brd])
end

mkdir([stem '\' brd '\' dateID])
isxd2tiff(f{ind}, [stem '\' brd '\' dateID '\extractedTif.tiff'])

% run TiffsToCroppedMats
AllTiffs = dir(fullfile([stem '\' brd '\' dateID], '*.tiff')); 
filenameTIFF = fullfile([stem '\' brd '\' dateID], AllTiffs(1).name); %pick first tiff

[~, imCROP]= findMajorCrop(brd, filenameTIFF,stem);
findMotionCrop(brd, imCROP,stem);
TiffsToCroppedMats([stem '\' brd '\' dateID], stem)
d = dir([stem '\' brd '\' dateID]);
%
mats = false(numel(d),1);
for j = 1:numel(d)
   if contains(d(j).name, 'created')
       mats(j) = true;
   end
end
mats = d(mats);
%
%run downsampled CNMFE
DsampCNMFE([mats.folder '\' mats.name])
