function [XminmaxYminmax, imCROP] = findMajorCrop(BIRD, filenameTIFF,engramPath)
filenameDefault = fullfile(engramPath, BIRD, 'XminmaxYminmax_default.mat');
KeepDefaults = isfile(filenameDefault);
% Make option to change XminmaxYminmax or load default
if ~KeepDefaults
    clf
    display(['No crop default found for ' BIRD ', please select window'])
    Im = imread(filenameTIFF,10);
    for fri = 50:10:1000
        Im = max(Im,imread(filenameTIFF,fri)); 
    end
    imagesc(Im); axis image
    title('Click X min'); Bnds = ginput(1); XminmaxYminmax = max(1,round(Bnds(1)));
    title('Click X max'); Bnds = ginput(1); XminmaxYminmax(2) = min(size(Im,2),round(Bnds(1)));
    title('Click Y min'); Bnds = ginput(1); XminmaxYminmax(3) = max(1,round(Bnds(2)));
    title('Click Y max'); Bnds = ginput(1); XminmaxYminmax(4) = min(size(Im,1),round(Bnds(2)));
    XminmaxYminmax
    imagesc(Im(XminmaxYminmax(3):XminmaxYminmax(4), XminmaxYminmax(1):XminmaxYminmax(2))); axis image
    title('Here is the cropped image')
    save(filenameDefault, 'XminmaxYminmax')
    display(['Saved crop default for ' BIRD ': ' filenameDefault])
    imCROP = Im(XminmaxYminmax(3):XminmaxYminmax(4), XminmaxYminmax(1):XminmaxYminmax(2));
else
    display(['Crop default found for ' BIRD ': ' filenameDefault])
    load(filenameDefault)
    imCROP = nan;
end

