function XminmaxYminmax = findMotionCrop(BIRD, imCROP, engramPath)
filenameDefault = fullfile(engramPath, BIRD, 'XminmaxYminmax_MotionCorrect_default.mat');
KeepDefaults = isfile(filenameDefault);
% high pass kernel for motion correction
FiltSD = 5; % check ref image if changing
% Make option to change XminmaxYminmax or load default
if ~KeepDefaults
    clf
    display(['No motion correct crop default found for ' BIRD ', please select window'])
    if ~exist('imCROP')
    tmp = matfile(fullfile(FolderOfMats, DIR(1).name)); 
    Im = tmp.Y(:,:,10);
    for fri = 50:10:1000
        Im = max(Im,tmp.Y(:,:,fri)); 
    end
    
    else
        Im = imCROP;
    end
        imagesc(Im);axis image
    title('Click X min (close crop for motion correct)'); Bnds = ginput(1); XminmaxYminmax = max(1+3*FiltSD,round(Bnds(1)));
    title('Click X max'); Bnds = ginput(1); XminmaxYminmax(2) = min(size(Im,2)-3*FiltSD,round(Bnds(1)));
    title('Click Y min'); Bnds = ginput(1); XminmaxYminmax(3) = max(1+3*FiltSD,round(Bnds(2)));
    title('Click Y max'); Bnds = ginput(1); XminmaxYminmax(4) = min(size(Im,1)-3*FiltSD,round(Bnds(2)));
    XminmaxYminmax
    imagesc(Im(XminmaxYminmax(3):XminmaxYminmax(4), XminmaxYminmax(1):XminmaxYminmax(2))); axis image
    title('Here is the cropped image')
    save(filenameDefault, 'XminmaxYminmax')
    display(['Saved crop default for ' BIRD ': ' filenameDefault])
else
    display(['Crop default found for ' BIRD ': ' filenameDefault])
    load(filenameDefault)
end