function isxd2tiff(filenameISXD, filenameTIFF)
movie = isx.Movie.read(filenameISXD); 
Fs = round(1/movie.timing.period.secs_float);
nFrames = movie.timing.num_samples; 

% downsample
tic
filenamePrepro = [filenameISXD(1:end-5) '_prprtmp.isxd']; 
isx.preprocess(filenameISXD, filenamePrepro, 'spatial_downsample', 4);
tdownsample = toc

if nFrames>65535
    warning('Too many frames, saving multiple tiffs')
end
[filepath,name,ext] = fileparts(filenameTIFF);
mkdir(filepath)
tic
isx.export_movie_to_tiff(filenamePrepro, filenameTIFF); 
tsavetif = toc;
display(['Saved ' filenameTIFF ' in ' num2str(toc) 's'])
delete(filenamePrepro)